summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcharIes17 <charles17@arcor.de>2017-07-10 09:36:17 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-07-20 15:26:30 +0200
commitd2fa463a157576018ec37817f77843e73c35bf53 (patch)
tree0493b207b44fc4e27813e9b0471785b39b865042 /x11-wm/lumina
parentx11-wm/lumina: Bug 617838 and more (diff)
downloadgentoo-d2fa463a157576018ec37817f77843e73c35bf53.tar.gz
gentoo-d2fa463a157576018ec37817f77843e73c35bf53.tar.bz2
gentoo-d2fa463a157576018ec37817f77843e73c35bf53.zip
x11-wm/lumina: Version bump lumina-1.3.0_p1
Package-Manager: Portage-2.3.6, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/5002
Diffstat (limited to 'x11-wm/lumina')
-rw-r--r--x11-wm/lumina/Manifest1
-rw-r--r--x11-wm/lumina/files/1.3.0-OS-detect.patch11
-rw-r--r--x11-wm/lumina/lumina-1.3.0_p1.ebuild71
3 files changed, 83 insertions, 0 deletions
diff --git a/x11-wm/lumina/Manifest b/x11-wm/lumina/Manifest
index f2917ea29c6..854b3bcadc4 100644
--- a/x11-wm/lumina/Manifest
+++ b/x11-wm/lumina/Manifest
@@ -1,4 +1,5 @@
DIST lumina-0.8.8_p1.tar.gz 53783856 SHA256 52bd8ec956e0a9f89c87bd957e308705aab3ac8c72130a606746af982bf361b7 SHA512 5fbfb6ad19a10b286001252cb2c93e92d4e2ed12a94c29f178afd777d0f2ff5f4d44b0300a40446f89d6c73237155d5963cda966c3fe16d4e9f07fcd4bddc6bb WHIRLPOOL 2e772fe413610ec7814c0e1de9c263c0d84afc45d9a308759ae442f8951fec7c82b16d5c8cb7eba5ce0e6f96f35a5410873370b1732e572ed469133089ad6906
DIST lumina-1.1.0.tar.gz 55828227 SHA256 b6b4eb9c671f0eef9760b0fbd93ebd992248ac619cc7025185fc3f82d6a00373 SHA512 79b48e70fd7be3708966221c25025a8013a3ef96e00681056e99dfdd60809a3ff9d2048b3767d9fbc57c1c4f7e00fb36659cdca86fa41a322f125e9e061e88e0 WHIRLPOOL 9be956b16d04850d0ca4d32166c4c0135f088ce65a754ff0bd7ccf6d95a5c9ede42bc87ad5d617185d008e3efbbe5edfab55dca298724fcb3403973fc6a4f557
DIST lumina-1.2.0.tar.gz 56031811 SHA256 fe7bc2a38ed8397194e6fdf95397e0d38b6fd6416d96240dfd348cd3a36b7336 SHA512 c0843b638999efeebca3b7bc8bdf3187b1606909554fdca1e9158e49ff93cc13a2061bd2697add589d33eefe2bb3a662c5938161622d7fc796f693a61ec9bd40 WHIRLPOOL 7c3e8255db4e1ef349943e9dacb2ac7f6f63156342f204a549e56634c4d87359bbbc8ce60234b08cba43cb0cc5aaebfcce3bc90447cf9f37ead68ff48f9e3f7d
+DIST lumina-1.3.0_p1.tar.gz 86451718 SHA256 76f2b6d45d37d154426cb100d46e3ca4e5e7eca51a7f9f9e442261bfe61b1c31 SHA512 93fb195f26984a2ba6e62dbe1ea619e4ab8e936d1cf1d335db8a7e51058c9be8d3e389146259f8229fb5dc6477610dcc2e1278c4e2a348f27904a318ba095707 WHIRLPOOL 6f3af86b66adc66a1b76732e23189946ad35e4897e4bd00912742e3d972bcf0d816b60055098c8ac1104e7e20ce938e7e4727c7501b5e7c92dcb49794c1bb38e
DIST lumina-i18n-161211.tar.bz2 366262 SHA256 84b7b669b30de627d652e74aa520e2a9d82b43885fdb1046b3d708c74801584b SHA512 0b1679e70f8959fed899cfcd7a36c3257b85144bde02ff0e88212c94993ca6439608c1b3744ecc690cfdd5703b7ac9c55b9877eb81bb9b48dd85f7efbfa19ea9 WHIRLPOOL 532d6494ef09071d75c9165dceba7f23fc9d99b2ea0b79dc8401e850b55f5107db58df03395a2b1b64d3a714f4b981093b79c5f15dc53cdd20923dd5da6a9ca5
diff --git a/x11-wm/lumina/files/1.3.0-OS-detect.patch b/x11-wm/lumina/files/1.3.0-OS-detect.patch
new file mode 100644
index 00000000000..e1b71b2a789
--- /dev/null
+++ b/x11-wm/lumina/files/1.3.0-OS-detect.patch
@@ -0,0 +1,11 @@
+--- ./src-qt5/OS-detect.pri
++++ ./src-qt5/OS-detect.pri
+@@ -94,7 +94,7 @@
+ isEmpty(L_SHAREDIR){ L_SHAREDIR = $${PREFIX}/share }
+ isEmpty(L_INCLUDEDIR){ L_INCLUDEDIR = $${PREFIX}/include }
+ isEmpty(L_SESSDIR){ L_SESSDIR = $${L_SHAREDIR}/xsessions }
+- isEmpty(L_MANDIR){ L_MANDIR = $${PREFIX}/man }
++ isEmpty(L_MANDIR){ L_MANDIR = $${PREFIX}/share/man }
+ isEmpty(LRELEASE){ LRELEASE = $$[QT_INSTALL_BINS]/lrelease }
+ isEmpty(MAN_ZIP){ MAN_ZIP = "gzip -c" }
+ !exists(LRELEASE){ NO_I18N=true } #translations unavailable
diff --git a/x11-wm/lumina/lumina-1.3.0_p1.ebuild b/x11-wm/lumina/lumina-1.3.0_p1.ebuild
new file mode 100644
index 00000000000..856b11d1af7
--- /dev/null
+++ b/x11-wm/lumina/lumina-1.3.0_p1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit qmake-utils
+DESCRIPTION="Lumina desktop environment"
+HOMEPAGE="https://lumina-desktop.org/"
+SRC_URI="https://github.com/trueos/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="desktop-utils"
+
+COMMON_DEPEND="dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtsvg:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ dev-qt/qtgui:5
+ dev-qt/qtdeclarative:5
+ x11-libs/libxcb:0
+ x11-libs/xcb-util
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-wm"
+
+DEPEND="$COMMON_DEPEND
+ dev-qt/linguist-tools:5"
+
+RDEPEND="$COMMON_DEPEND
+ || ( virtual/freedesktop-icon-theme
+ x11-themes/hicolor-icon-theme )
+ sys-fs/inotify-tools
+ x11-misc/numlockx
+ x11-wm/fluxbox
+ || ( x11-apps/xbacklight
+ sys-power/acpilight )
+ media-sound/alsa-utils
+ sys-power/acpi
+ app-admin/sysstat"
+
+S="${WORKDIR}/${P/_/-}"
+
+PATCHES=(
+ "${FILESDIR}/1.2.0-desktop-files.patch"
+ "${FILESDIR}/1.3.0-OS-detect.patch"
+)
+
+src_prepare(){
+ default
+
+ if use !desktop-utils ; then
+ rm -rf src-qt5/desktop-utils || die
+ sed -e "/desktop-utils/d" -i src-qt5/src-qt5.pro || die
+ fi
+}
+
+src_configure(){
+ eqmake5 PREFIX="${EPREFIX}/usr" L_BINDIR="${EPREFIX}/usr/bin" \
+ L_ETCDIR="${EPREFIX}/etc" L_LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
+}
+
+src_install(){
+ default
+ mv "${ED%/}"/etc/luminaDesktop.conf{.dist,} || die
+ rm "${ED%/}"/${PN}-* "${ED%/}"/start-${PN}-desktop || die
+}